Subject: Re: bug#47249: 27.0.50; configure uses nextstep despite being told to use lucid

From: Alan Third <[email-masked]>
Date: Thu, 18 Mar 2021 22:50:40 +0000

On Thu, Mar 18, 2021 at 11:21:21PM +0100, Markus Triska wrote:
> 
> When configuring Emacs-27.2 RC1 with:
> 
>     $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib
> 
> The configure output ends with:
> 
>  Where should the build process find the source code?    .
>   What compiler should emacs be built with?               gcc -I/opt/local/include/
>   Should Emacs use the GNU version of malloc?             no
>     (The GNU allocators don't work with this system configuration.)
>   Should Emacs use a relocating allocator for buffers?    no
>   Should Emacs use mmap(2) for buffer allocation?         no
>   What window system should Emacs use?                    nextstep
>   ...
> 
> I.e., it uses nextstep despite being told to use lucid.

Confirmed. I guess the --with-ns default is "stronger"?

But often when I've come across people trying X builds on macOS it's
because they haven't realised there's a native GUI and/or just copied
build flags from elsewhere. Perhaps we really just want to return an
error if more than one GUI toolkit is turned on?

> configure.ac mentions the switch --without-ns, but is this actually implemented?
> 
>     Either fix this, or re-configure with the option '--without-ns'.])])
> 
> --without-ns is not mentioned in the output of ./configure --help.

I guess it maybe isn't clear, but it does show this:

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)

so yes, --without-ns works fine.
-- 
Alan Third